getopt
ini_alter
PHP Options/Info Functions
PHP Manual

# getrusage

Gets the current resource usages

### Description

array getrusage ([ int `$who` = 0 ] )

This is an interface to getrusage(2). It gets data returned from the system call.

### Parameters

`who`

  If `who` is 1, getrusage will be called with `RUSAGE_CHILDREN`.

### Return Values

Returns an associative array containing the data returned from the system call. All entries are accessible by using their documented field names.

### Examples

Example #1 getrusage example

`<?php
$dat = getrusage();
echo $dat["ru_nswap"]; // number of swaps
echo $dat["ru_majflt"]; // number of page faults
echo $dat["ru_utime.tv_sec"]; // user time used (seconds)
echo $dat["ru_utime.tv_usec"]; // user time used (microseconds)
?>`

### Notes

> Note: This function is not implemented on Windows platforms.

### See Also

- Your system's man page on getrusage(2)